curl --request POST \
--url https://api.jtl-cloud.com/erp/v2/workers/{syncId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-tenant-id: <x-tenant-id>' \
--data '
{
"interval": "<string>",
"configurations": [
{
"identifier": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"value": "<string>"
}
]
}
'import requests
url = "https://api.jtl-cloud.com/erp/v2/workers/{syncId}"
payload = {
"interval": "<string>",
"configurations": [
{
"identifier": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"value": "<string>"
}
]
}
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-tenant-id': '<x-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
interval: '<string>',
configurations: [{identifier: '3c90c3cc-0d44-4b50-8888-8dd25736052a', value: '<string>'}]
})
};
fetch('https://api.jtl-cloud.com/erp/v2/workers/{syncId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"identifier": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"syncName": "<string>",
"reportProgress": true,
"configurations": [
{
"identifier": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"displayName": "<string>",
"displayDescription": "<string>",
"type": "<string>",
"isRequired": true,
"currentValue": "<string>"
}
],
"salesChannelName": "<string>",
"salesChannelId": "<string>",
"interval": "<string>"
}Configures a worker sync (interval and configuration values).
Configures a worker sync (interval and configuration values).
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The Company-Id (int or uuid) of the company on whose behalf the request is executed.
Optional, client-generated key for deduplicating repeated write requests. A repeated request with the same key returns the originally recorded result instead of executing the effect again.
1 - 255The tenant ID for the target ERP instance.
Path Parameters
Represents a configuration key that serves as a unique identifier for configuration entities.
Body
Request parameters
Response
The changed worker configuration.
A worker sync and its configuration.
The unique identifier of a sync.
The name of the sync.
Indicates whether the sync reports progress in percent.
The configuration entries of the worker sync.
Show child attributes
Show child attributes
The name of the sales channel.
The sales channel for the sync.
The sync interval.
Was this page helpful?